Bug 814278 - (CVE-2012-2119) CVE-2012-2119 kernel: macvtap: zerocopy: vector length is not validated before pinning user pages
CVE-2012-2119 kernel: macvtap: zerocopy: vector length is not validated befor...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120416,repo...
: Security
Depends On: 814286 814288 814289
Blocks: 814283
  Show dependency treegraph
 
Reported: 2012-04-19 10:18 EDT by Petr Matousek
Modified: 2015-02-16 10:44 EST (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 08:27:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-04-19 10:18:10 EDT
Currently we do not validate the vector length before calling get_user_pages_fast(), host stack could be easily overflowed by malicious guest driver who gives us a descriptors with length greater than MAX_SKB_FRAGS.

A privileged guest user could use this flaw to induce stack overflow on the host with attacker non-controlled data (some bits can be guessed, as it will be pointers to kernel memory) but with attacker controlled length.

References:
http://marc.info/?l=linux-netdev&m=133455718001608&w=2
Comment 2 Petr Matousek 2012-04-19 10:24:17 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 814289]
Comment 3 Kurt Seifried 2012-04-19 11:09:57 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/04/19/14
Comment 4 Fedora Update System 2012-04-24 00:29:48 EDT
kernel-3.3.2-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-04-24 10:54:43 EDT
kernel-3.3.2-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-25 23:29:36 EDT
kernel-2.6.43.2-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 errata-xmlrpc 2012-06-18 09:34:20 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0743 https://rhn.redhat.com/errata/RHSA-2012-0743.html

Note You need to log in before you can comment on or make changes to this bug.